Tracker:AddItems("items/common.json")
Tracker:AddItems("items/setting.json")
Tracker:AddItems("items/NPCs.json")
ScriptHost:LoadScript("scripts/class.lua")
ScriptHost:LoadScript("scripts/custom_item.lua")
ScriptHost:LoadScript("scripts/seal.lua")
ScriptHost:LoadScript("scripts/mural.lua")
Tracker:AddLayouts("layouts/NPC_grid.json")
Tracker:AddLayouts("layouts/seal_murals.json")
Tracker:AddLayouts("layouts/item_grid.json")

if not (string.find(Tracker.ActiveVariantUID, "standard")) then
	Tracker:AddItems("items/single_transition.json")
	Tracker:AddItems("items/Location.json")
	Tracker:AddItems("items/LRtransition.json")
	Tracker:AddItems("items/UDtransition.json")
	Tracker:AddItems("items/Doors.json")
	Tracker:AddLayouts("layouts/transition_grid.json")
end
Tracker:AddLayouts("layouts/setting_grid.json")
--Tracker:AddItems("items/dungeon_items.json")

if not (string.find(Tracker.ActiveVariantUID, "items_only")) then

	Tracker:AddMaps("maps/maps.json")  
	Tracker:AddLayouts("layouts/map_tabs.json")
	if (string.find(Tracker.ActiveVariantUID, "standard")) then
		ScriptHost:LoadScript("scripts/logic.lua")
		Tracker:AddLocations("locations/locations.json")
		Tracker:FindObjectForCode("SettingNonrandomTransitions").Active=true
	else
		ScriptHost:LoadScript("scripts/logic_entrance.lua")	
		Tracker:AddLayouts("layouts/transition_grid.json")
		--ScriptHost:LoadScript("scripts/transition_mark.lua")
		Tracker:AddLocations("locations/locations_entrances.json")
	end
end
if (string.find(Tracker.ActiveVariantUID, "standard")) then
	Tracker:AddLayouts("layouts/tracker.json")
else
	Tracker:AddLayouts("layouts/transition_tracker.json")
end
Tracker:AddLayouts("layouts/broadcast.json")
